com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDefaults.DefaultsBase

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader
  - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.DefaultsBase

- Direct Known Subclasses:
    ScalarDefaults.BooleanDefaults, ScalarDefaults.BytesDefaults, ScalarDefaults.DoubleDefaults, ScalarDefaults.FloatDefaults, ScalarDefaults.IntDefaults, ScalarDefaults.LongDefaults, ScalarDefaults.NullDefaults, ScalarDefaults.StringDefaults
  Enclosing class:
    ScalarDefaults

      protected abstract static class ScalarDefaults.DefaultsBase
      extends AvroFieldReader

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `_isSkipper, _name, _typeId`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultsBase(String name, String typeId)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract com.fasterxml.jackson.core.JsonToken` | `readValue(AvroReadContext parent, AvroParserImpl parser)`
    `void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `construct, constructSkipper, getName, getTypeId, isSkipper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultsBase

          protected DefaultsBase(String name,
                                 String typeId)

  - ### Method Detail

    - #### readValue

          public abstract com.fasterxml.jackson.core.JsonToken readValue(AvroReadContext parent,
                                                                         AvroParserImpl parser)
                                                                  throws IOException

      Specified by:
        `readValue` in class `AvroFieldReader`
      Throws:
        `IOException`

    - #### skipValue

          public void skipValue(AvroParserImpl parser)
                         throws IOException

      Specified by:
        `skipValue` in class `AvroFieldReader`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.